export interface ContentType {
  contentType:
    | 'blankLine'
    | 'hText'
    | 'noRequirementNeedsLine'
    | 'noRequirementTitle'
    | 'noSubrequirementAcceptCourses'
    | 'noSubrequirementCourses'
    | 'noSubrequirementNeedsSummaryLine'
    | 'noSubrequirementRejectCourses'
    | 'noSubrequirementTLine'
    | 'okRequirementTitle'
    | 'okSubrequirementAcceptCourses'
    | 'okSubrequirementCourses'
    | 'okSubrequirementEarnedLine'
    | 'okSubrequirementNeedsSummaryLine'
    | 'okSubrequirementTLine';
  lines: string[];
}

export interface Requirement {
  requirementName: string;
  status: { status: string; description: string };
  requirementLinesGroupedByContentType: ContentType[];
}

export interface Audit {
  header: {
    catalogYear: string;
    catalogYearLabel: string;
    clientDefinedMessage: string;
    degreeProgram: string;
    degreeProgramLabel: string;
    graduationDate: string;
    graduationDateLabel: string;
    name: string;
    preparedDate: string;
    studentId: string;
    title1: string;
    title2: string;
  };
  topText: string[];
  bottomText: string[];
  completeText: string;
  errorText: any[];
  requirements: Requirement[];
}
